package com.duowenlvshi.duowenlszp.model.Meal.dao;

import com.duowenlvshi.duowenlszp.model.Meal.entity.Meal;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface MealMapper {


    int insertSelective(Meal record);

    int updateSelective(Meal record);

    Meal selectMeal(String id);

    Map selectMealType(String mealType);

    Integer selectPurchaseNuml(String id);

    Integer selectIsFree(String id);

    Integer updatePurchaseNuml(@Param("map") Map map);

    List<Map> selectMealList();

    String selectDiscount();
}